Process > Get Process Task
Get Process Task
Return the current state of a media processing task.
GET/api/app/v1/process/tasks/{task_id}
Examples
curl -X GET https://api.medux.io/api/app/v1/process/tasks/TASK_ID \ -H 'Authorization: Bearer $MEDUX_API_KEY'
Auth Requirements
Authentication is required via Authorization header.
Preconditions
Requires a task_id returned by a processing request.
Use this to poll processing workflows.
Request
Body
application/jsonAuthorizationstringrequiredBearer token or API key.
Location: HEADER
task_idstringrequiredNo description provided.
Location: PATH
Response
Response
application/jsoncodeint32optionalApplication response code.
| Code | Meaning |
|---|---|
0 | OK |
1404 | Provider returned an error |
1405 | Provider request timed out |
13 | Authentication is required |
15 | Resource not found |
99 | Server error |
Available options: 0 1404 1405 13 15 99
Location: RESPONSE
data.taskobjectoptionalNo description provided.
Location: RESPONSE
messagestringoptionalNo description provided.
Available options: ok provider error provider timeout unauthenticated not found server error
Location: RESPONSE
On this page